OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.INTEL.MapTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetINTELMapTexture :: MonadIO m => m Bool
- gl_INTEL_map_texture :: Bool
- gl_LAYOUT_DEFAULT_INTEL :: GLenum
- gl_LAYOUT_LINEAR_CPU_CACHED_INTEL :: GLenum
- gl_LAYOUT_LINEAR_INTEL :: GLenum
- gl_TEXTURE_MEMORY_LAYOUT_INTEL :: GLenum
- glMapTexture2DINTEL :: MonadIO m => GLuint -> GLint -> GLbitfield -> Ptr GLint -> Ptr GLenum -> m (Ptr a)
- glSyncTextureINTEL :: MonadIO m => GLuint -> m ()
- glUnmapTexture2DINTEL :: MonadIO m => GLuint -> GLint -> m ()

# Extension Support

glGetINTELMapTexture :: MonadIO m => m Bool

Is the INTEL_map_texture extension supported?

gl_INTEL_map_texture :: Bool

Is the INTEL_map_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetINTELMapTexture` in those cases instead.

# Enums

gl_LAYOUT_DEFAULT_INTEL :: GLenum

gl_LAYOUT_LINEAR_CPU_CACHED_INTEL :: GLenum

gl_LAYOUT_LINEAR_INTEL :: GLenum

gl_TEXTURE_MEMORY_LAYOUT_INTEL :: GLenum

# Functions

glMapTexture2DINTEL

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLbitfield | `access`.
-> Ptr GLint | `stride` pointing to `1` element of type `GLint`.
-> Ptr GLenum | `layout` pointing to `1` element of type `GLenum`.
-> m (Ptr a) |

glSyncTextureINTEL

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> m () |

glUnmapTexture2DINTEL

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> m () |